This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1288914 - RT package is missing database schemas
RT package is missing database schemas
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: rt (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ralf Corsepius
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-06 21:12 EST by Lars Kellogg-Stedman
Modified: 2017-08-08 08:29 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:29:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lars Kellogg-Stedman 2015-12-06 21:12:16 EST
Description of problem:

I was trying to install RT on Fedora using a Postgres database, only to discover that the package only includes the MySQL schema files and explicitly excludes the schema files for Postgres, Oracle, and SQLite.

Unless there is a good reason to exclude some or all of the schema files (e.g., "they are unmaintained and known to be broken" would be a good reason) could we please include *all* the schema files in the rt package?

Version-Release number of selected component (if applicable):

rt-4.2.12
Comment 1 Ralf Corsepius 2015-12-07 02:57:50 EST
(In reply to Lars Kellogg-Stedman from comment #0)
> Description of problem:
> 
> I was trying to install RT on Fedora using a Postgres database, only to
> discover that the package only includes the MySQL schema files and
> explicitly excludes the schema files for Postgres, Oracle, and SQLite.
Correct. ATM, the rpms only support MySQL.

> Unless there is a good reason to exclude some or all of the schema files
> (e.g., "they are unmaintained and known to be broken" would be a good
> reason) could we please include *all* the schema files in the rt package?
There are 2 primary reasons why Postgres is not supported:
- Adding postgres would add further complexity to rt's already utterly complex
  packaging (It would likely require alternatives and further package split).
- Though I tried several times, I have never managed to get rt w/ postgres
  working.
Comment 2 Jan Kurik 2016-02-24 09:06:26 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 3 Fedora End Of Life 2017-07-25 15:36:23 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2017-08-08 08:29:47 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.